---
title: Sensor.onreading
slug: Web/API/Sensor/onreading
tags:
  - API
  - EventHandler
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - onreading
  - reading
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>onreading</code></strong> {{domxref("EventHandler")}} is called when a reading is taken on one of the child interfaces of the {{domxref("Sensor")}} interface.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sensorInstance</em>.onreading = <var>function</var>
<em>sensorInstance</em>.addEventListener('reading', function() { ... })</pre>

<p>Because {{domxref('Sensor')}} is a base class, <code>onreading</code> may only be used on one of its derived classes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-onreading','onreading')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.onreading")}}</p>
